Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class SelectResult

    java.lang.Object
      com.amazonaws.services.simpledb.model.SelectResult

    public class SelectResult

extends Object

Select Result

Constructor Summary
`SelectResult()`

Method Summary
`List<Item>` | `getItems()` A list of items that match the select expression.
`String` | `getNextToken()` An opaque token indicating that more items than `MaxNumberOfItems` were matched, the response size exceeded 1 megabyte, or the execution time exceeded 5 seconds.
`void` | `setItems(Collection<Item> items)` A list of items that match the select expression.
`void` | `setNextToken(String nextToken)` An opaque token indicating that more items than `MaxNumberOfItems` were matched, the response size exceeded 1 megabyte, or the execution time exceeded 5 seconds.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SelectResult` | `withItems(Collection<Item> items)` A list of items that match the select expression.
`SelectResult` | `withItems(Item... items)` A list of items that match the select expression.
`SelectResult` | `withNextToken(String nextToken)` An opaque token indicating that more items than `MaxNumberOfItems` were matched, the response size exceeded 1 megabyte, or the execution time exceeded 5 seconds.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectResult

    public SelectResult()

Method Detail

### getItems

    public List<Item> getItems()

  A list of items that match the select expression.

  Returns:
    A list of items that match the select expression.

### setItems

    public void setItems(Collection<Item> items)

  A list of items that match the select expression.

  Parameters:
    `items` - A list of items that match the select expression.

### withItems

    public SelectResult withItems(Item... items)

  A list of items that match the select expression.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `items` - A list of items that match the select expression.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withItems

    public SelectResult withItems(Collection<Item> items)

  A list of items that match the select expression.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `items` - A list of items that match the select expression.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNextToken

    public String getNextToken()

  An opaque token indicating that more items than `MaxNumberOfItems` were matched, the response size exceeded 1 megabyte, or the execution time exceeded 5 seconds.

  Returns:
    An opaque token indicating that more items than `MaxNumberOfItems` were matched, the response size exceeded 1 megabyte, or the execution time exceeded 5 seconds.

### setNextToken

    public void setNextToken(String nextToken)

  An opaque token indicating that more items than `MaxNumberOfItems` were matched, the response size exceeded 1 megabyte, or the execution time exceeded 5 seconds.

  Parameters:
    `nextToken` - An opaque token indicating that more items than `MaxNumberOfItems` were matched, the response size exceeded 1 megabyte, or the execution time exceeded 5 seconds.

### withNextToken

    public SelectResult withNextToken(String nextToken)

  An opaque token indicating that more items than `MaxNumberOfItems` were matched, the response size exceeded 1 megabyte, or the execution time exceeded 5 seconds.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `nextToken` - An opaque token indicating that more items than `MaxNumberOfItems` were matched, the response size exceeded 1 megabyte, or the execution time exceeded 5 seconds.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.